Name:           kio-kuaipan
Version:        0.1
Release:        1%{?dist}
Summary:        KIO Kuai Pan

License:        GPLv2+
URL:            http://kde-apps.org/content/show.php?content=151020
Source0:        %{name}-%{version}.tar.bz2

BuildRequires:  kdelibs4-devel
BuildRequires:  qjson-devel
BuildRequires:  qca2-devel
BuildRequires:  qoauth-devel
#Requires:       

%description
KIO support for Kingsoft Kuaipan.

%prep
%setup -q
sed -i -e "s/QJson/QJSON/" CMakeLists.txt
sed -i -e "s/QJSON_LIBRARY/QJSON_LIBRARIES/" CMakeLists.txt


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform}

%install
make install/fast DESTDIR=$RPM_BUILD_ROOT -C %{_target_platform}


%files
%doc
%{_kde4_libdir}/kde4/kio_kuaipan.so
%{_kde4_datadir}/kde4/services/kuaipan.protocol


%changelog
* Sat May 26 2012 Robin Lee <cheeselee@fedoraproject.org> - 0.1-1
- Initial package
